cURL
curl --request GET \ --url https://us.infisical.com/api/v1/auth/ldap-auth/identities/{identityId} \ --header 'Authorization: Bearer <token>'
{ "identityLdapAuth": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "url": "<string>", "searchBase": "<string>", "searchFilter": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "bindDN": "<string>", "bindPass": "<string>", "accessTokenTTL": 7200, "accessTokenMaxTTL": 7200, "accessTokenNumUsesLimit": 0, "accessTokenTrustedIps": "<unknown>", "allowedFields": null, "accessTokenPeriod": 0, "templateId": "<string>", "lockoutEnabled": true, "lockoutThreshold": 3, "lockoutDurationSeconds": 300, "lockoutCounterResetSeconds": 30, "ldapCaCertificate": "<string>" } }
Retrieve LDAP Auth configuration on machine identity
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
An access token in Infisical
The ID of the machine identity to retrieve the configuration for.
Default Response
Show child attributes
Was this page helpful?